#
# spec file for package klamav (Version 0.46)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel clamav coreutils cpio cpp cpp42 cracklib cups-devel cups-libs curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils fam fam-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gmp gmp-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv jack-devel kdelibs3 kdelibs3-arts kdelibs3-default-style kdelibs3-devel kdelibs3-doc latex2html-pngicons less libacl libacl-devel libart_lgpl libart_lgpl-devel libasound2 libattr libattr-devel libbz2-1 libbz2-devel libcurl-devel libcurl4 libdaemon libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgcrypt libgcrypt-devel libglade2 libgomp42 libgpg-error libgpg-error-devel libidn libidn-devel libjack libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libogg libogg-devel libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openssl openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks python qt3 qt3-devel rpm sed sgml-skel sqlite sqlite-devel sudo sysvinit tar texinfo timezone unsermake update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           klamav
BuildRequires:  clamav curl-devel gmp-devel kdelibs3-devel sqlite-devel
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
Url:            http://klamav.sourceforge.net/
License:        GPL v2 or later
Group:          Productivity/Security
Summary:        Frontend for clamav
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        0.46
Release:        0.3
Source0:        klamav-%{version}-source.tar.bz2
Patch4:         external-sqlite.diff
Patch7:         build-c.diff
Patch8:         klamav-gcc43.diff

%description
A KDE front-end for the Clam AntiVirus antivirus toolkit.



Authors:
--------
    Robert Hogan <robert@roberthogan.net>

%debug_package
%prep
%setup -q -n klamav-%version-source/klamav-%version
%patch4
%patch7
%patch8 -p1
. /etc/opt/kde3/common_options
rm -rf src/klamd src/sqlite
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde \
%ifarch amd64 x86_64 ia32e ppc64 s390x
	--enable-libsuffix=64 \
%endif
        --disable-final \
        --without-included-sqlite
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%suse_update_desktop_file %name Utility Security
kde_post_install
%find_lang %name
chmod a+x $RPM_BUILD_ROOT/opt/kde3/bin/ScanWithKlamAV
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT/opt/kde3/share/
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc  README AUTHORS ChangeLog COPYING NEWS TODO
/opt/kde3/bin/ScanWithKlamAV
/opt/kde3/bin/klamarkollon
/opt/kde3/bin/klamav
/opt/kde3/bin/klammail
/opt/kde3/share/applications/kde/klamav.desktop
/opt/kde3/share/apps/klamav
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/klamav-dropdown.desktop
/opt/kde3/share/config.kcfg/klamavconfig.kcfg
/opt/kde3/share/icons/*/*/*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/klamav02

%changelog
* Wed Jun 03 2009 - dmueller@suse.de
- reenable klammail support (bnc#415178)
* Tue Mar 31 2009 - dmueller@suse.de
- update to 0.46 (bnc#488336):
  * Compatibility changes for the upcoming ClamAV 0.95.
  * Add new iconset from Maarten van Gent.
  * Ukrainian Translation from Yuri Chornoivan
  * Fix compilation against ClamAV 0.94
  * Fix bug #258424 in ubuntu bug tracker.
  * Install Konqueror Action 'Scan with KlamAV' so that it works on all systems.
  * Fix bug 213690 in ubuntu bugtracker. Whitespace fixes.
  * Fix paths when creating crontask. Patch from Marc Benstein
* Tue Nov 04 2008 - llunak@suse.cz
- fix paths for scheduled path (bnc#354018)
* Thu Jul 10 2008 - stbinner@suse.de
- update to 0.44: updates to be compatible with ClamAV 0.93
* Tue Apr 22 2008 - dmueller@suse.de
- disable klammail as it does no longer build against clamav
* Sun Jan 27 2008 - stbinner@suse.de
- update to 0.42:
  * upstreaming of patches
  * Patch to handle hebrew filenames properly.
  o Patch to scheduled scan script
* Tue Oct 23 2007 - stbinner@suse.de
- fix build with gcc 4.3
* Wed Aug 22 2007 - dmueller@suse.de
- fix GUI for default archiving options (#302279)
- build with system sqlite
- remove clamav deep copy (#302070)
- switch to not quarantine archives by default (#302279)
* Fri Jul 27 2007 - stbinner@suse.de
- update to 0.41.1:
  * Fix pop-up menu position on OSD
  * Compatibility changes for 0.90 series
* Fri Jun 01 2007 - coolo@suse.de
- fix build / use kde_post_install
* Mon Feb 26 2007 - dmueller@suse.de
- add patch for crash during update checking
* Mon Feb 26 2007 - dmueller@suse.de
- update to 0.41:
  * no upstream changelog available
  * build against clamav 0.9x
* Mon Nov 20 2006 - stbinner@suse.de
- remove wrong comment and make ScanWithKlamAV executable (#220151)
* Tue Aug 01 2006 - stbinner@suse.de
- Update to version 0.38:
  * Don't follow directory symlinks when counting prior to scan
  * Change viruspool URL
  * Do not calculate scan time from scheduled/service menu scans.
  * Fix KlamAV update process.
* Mon May 22 2006 - stbinner@suse.de
- Initial package of version 0.37
